[lfs-fr] r1394 - in trunk/lfs: . bootscripts/lfs/init.d chapter01 chapter06

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Jeu 4 Aou 16:35:41 PDT 2011


Author: jmengual
Date: 2011-08-05 01:35:41 +0200 (Fri, 05 Aug 2011)
New Revision: 1394

Modified:
   trunk/lfs/bootscripts/lfs/init.d/functions
   trunk/lfs/bootscripts/lfs/init.d/sysklogd
   trunk/lfs/chapter01/changelog.xml
   trunk/lfs/chapter06/pcre.xml
   trunk/lfs/general.ent
   trunk/lfs/packages.ent
Log:
Quelques mises a jour.


Modified: trunk/lfs/bootscripts/lfs/init.d/functions
===================================================================
--- trunk/lfs/bootscripts/lfs/init.d/functions	2011-08-02 22:13:14 UTC (rev 1393)
+++ trunk/lfs/bootscripts/lfs/init.d/functions	2011-08-04 23:35:41 UTC (rev 1394)
@@ -123,6 +123,7 @@
    ${ECHO} ${ECHOPARM} -e "${2}${1}"
 
    # Log the message 
+   [ -d /run/var ] || return
    ${ECHO} ${ECHOPARM} -e "${2}${1}" >> /run/var/bootlog
 }
 
@@ -138,6 +139,7 @@
    ${ECHO} -e "${NORMAL}"
    boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "[ OK ]" >> /run/var/bootlog
 }
 
@@ -147,6 +149,7 @@
    ${ECHO} -e "${NORMAL}"
     boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "[ FAIL]"  >> /run/var/bootlog
 }
 
@@ -156,6 +159,7 @@
    ${ECHO} -e "${NORMAL}"
    boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "[ WARN ]"  >> /run/var/bootlog
 }
 
@@ -165,6 +169,7 @@
    ${ECHO} -e "${NORMAL}"
    boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "  [ SKIP ]" >> /run/var/bootlog
 }
 
@@ -714,6 +719,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${SUCCESS}""  OK  ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -n -e "${@}  [ OK ]"  >> /run/var/bootlog
    return 0
 }
@@ -736,6 +742,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${FAILURE}"" FAIL ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -e "${@}  [ FAIL ]" >> /run/var/bootlog
    return 0
 }
@@ -758,6 +765,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${WARNING}"" WARN ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -e "${@}  [ WARN ]" >> /run/var/bootlog
    return 0
 }
@@ -780,6 +788,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${WARNING}"" SKIP ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -e "${@}  [ SKIP ]" >> /run/var/bootlog
    return 0
 }

Modified: trunk/lfs/bootscripts/lfs/init.d/sysklogd
===================================================================
--- trunk/lfs/bootscripts/lfs/init.d/sysklogd	2011-08-02 22:13:14 UTC (rev 1393)
+++ trunk/lfs/bootscripts/lfs/init.d/sysklogd	2011-08-04 23:35:41 UTC (rev 1394)
@@ -30,7 +30,7 @@
 case "${1}" in
    start)
       boot_mesg "Starting system log daemon..."
-      PARMS=${SYSKLOGD_PARMS=-'-m 0'}
+      PARMS=${SYSKLOGD_PARMS-'-m 0'}
       loadproc syslogd $PARMS
 
       boot_mesg "Starting kernel log daemon..."

Modified: trunk/lfs/chapter01/changelog.xml
===================================================================
--- trunk/lfs/chapter01/changelog.xml	2011-08-02 22:13:14 UTC (rev 1393)
+++ trunk/lfs/chapter01/changelog.xml	2011-08-04 23:35:41 UTC (rev 1394)
@@ -38,6 +38,15 @@
 
 -->
     <listitem>
+      <para>03-08-2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Légères corrections des scripts de démarrage.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>02-08-2011</para>
       <itemizedlist>
         <listitem>

Modified: trunk/lfs/chapter06/pcre.xml
===================================================================
--- trunk/lfs/chapter06/pcre.xml	2011-08-02 22:13:14 UTC (rev 1393)
+++ trunk/lfs/chapter06/pcre.xml	2011-08-04 23:35:41 UTC (rev 1394)
@@ -95,7 +95,7 @@
     <filename class="directory">/bin</filename> et se liera à la bibliothèque
     PCRE ; déplacez donc la bibliothèque dans <filename class="directory">/lib</filename> :</para>
 
-<screen><userinput remap="install">mv -v /usr/lib/libpcre.so.* /lib/ &&
+<screen><userinput remap="install">mv -v /usr/lib/libpcre.so.* /lib/
 ln -v -sf ../../lib/libpcre.so.0 /usr/lib/libpcre.so</userinput></screen>
 
   </sect2>

Modified: trunk/lfs/general.ent
===================================================================
--- trunk/lfs/general.ent	2011-08-02 22:13:14 UTC (rev 1393)
+++ trunk/lfs/general.ent	2011-08-04 23:35:41 UTC (rev 1394)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "SVN-20110802">
-<!ENTITY releasedate "2 août 2011">
+<!ENTITY version "SVN-20110803">
+<!ENTITY releasedate "3 août 2011">
 <!ENTITY copyrightdate "1999–2011">
 <!ENTITY milestone "7.0">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->

Modified: trunk/lfs/packages.ent
===================================================================
--- trunk/lfs/packages.ent	2011-08-02 22:13:14 UTC (rev 1393)
+++ trunk/lfs/packages.ent	2011-08-04 23:35:41 UTC (rev 1394)
@@ -296,7 +296,7 @@
 <!ENTITY less-ch6-du "3.5 Mio">
 <!ENTITY less-ch6-sbu "moins de 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20110802">                 <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20110803">                 <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE Kio">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
 <!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">           <!-- Updated in Makefile -->
@@ -326,7 +326,7 @@
 <!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> 
 <!ENTITY linux-size "74,954 Kio">
-<!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;/linux-&linux-version;.tar.bz2">
+<!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.bz2">
 <!ENTITY linux-md5 "398e95866794def22b12dfbc15ce89c0">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!ENTITY linux-ch8-du "540 - 500 Mio">




More information about the lfs-traducfr mailing list